import request from '@/utils/request'

// 查询产成品入库列表
export function listInventory(query) {
  return request({
    url: '/sales/inventory/list',
    method: 'get',
    params: query
  })
}

// 查询产成品入库详细
export function getInventory(id) {
  return request({
    url: '/sales/inventory/' + id,
    method: 'get'
  })
}

// 新增产成品入库
export function addInventory(data) {
  return request({
    url: '/sales/inventory',
    method: 'post',
    data: data
  })
}

// 修改产成品入库
export function updateInventory(data) {
  return request({
    url: '/sales/inventory',
    method: 'put',
    data: data
  })
}

// 删除产成品入库
export function delInventory(id) {
  return request({
    url: '/sales/inventory/' + id,
    method: 'delete'
  })
}
